current CVS fails on Debian sid

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

current CVS fails on Debian sid

Paul Scott-3
This is the end of a broken make on Debian sid.  Let me know if you need
more information.

rm -f ./out/relocate.dep; DEPENDENCIES_OUTPUT="./out/relocate.dep
./out/relocate.o" g++ -c -Woverloaded-virtual -DHAVE_CONFIG_H  -DNDEBUG
-I./include -I./out -I../flower/include -I../flower/./out
-I../flower/include  -O2 -finline-functions -g -pipe  
-I/usr/include/freetype2   -I/usr/include/pango-1.0
-I/usr/include/freetype2 -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include   -Wno-pmf-conversions -W -Wall -Wconversion
-o out/relocate.o relocate.cc
relocate.cc: In function 'void setup_paths(const char*)':
relocate.cc:292: error: invalid conversion from 'const char**' to 'char**'
make[1]: *** [out/relocate.o] Error 1
make[1]: Leaving directory `/home/paul/lilypond/lily'
make: *** [all] Error 2

Paul Scott




_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: current CVS fails on Debian sid

Erlend Aasland
This is already fixed in CVS. Just do a CVS update.

On 2/17/06, Paul Scott <[hidden email]> wrote:
This is the end of a broken make on Debian sid.  Let me know if you need
more information.

rm -f ./out/relocate.dep; DEPENDENCIES_OUTPUT="./out/relocate.dep
./out/relocate.o" g++ -c -Woverloaded-virtual -DHAVE_CONFIG_H  -DNDEBUG
-I./include -I./out -I../flower/include -I../flower/./out
-I../flower/include  -O2 -finline-functions -g -pipe
-I/usr/include/freetype2   -I/usr/include/pango-1.0
-I/usr/include/freetype2 -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include   -Wno-pmf-conversions -W -Wall -Wconversion
-o out/relocate.o relocate.cc
relocate.cc: In function 'void setup_paths(const char*)':
relocate.cc:292: error: invalid conversion from 'const char**' to 'char**'
make[1]: *** [out/relocate.o] Error 1
make[1]: Leaving directory `/home/paul/lilypond/lily'
make: *** [all] Error 2

Paul Scott




_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: current CVS fails on Debian sid

Paul Scott-3
Erlend Aasland wrote:

> This is already fixed in CVS. Just do a CVS update.

I now get a different error.  This is what 'make install' gives after
getting an error in 'make all' which I wasn't sure was a problem:

Processing `/home/paul/lilypond/ly/generate-documentation.ly'
Parsing...[/home/paul/lilypond/out/share/lilypond/current/ly/init.ly[/home/paul/lilypond/out/share/lilypond/current/ly/declarations-init.ly[/home/paul/lilypond/out/share/lilypond/current/ly/music-functions-init.ly][/home/paul/lilypond/out/share/lilypond/current/ly/nederlands.ly][/home/paul/lilypond/out/share/lilypond/current/ly/drumpitch-init.ly][/home/paul/lilypond/out/share/lilypond/current/ly/chord-modifiers-init.ly][/home/paul/lilypond/out/share/lilypond/current/ly/script-init.ly][/home/paul/lilypond/out/share/lilypond/current/ly/scale-definitions-init.ly][/home/paul/lilypond/out/share/lilypond/current/ly/grace-init.ly][/home/paul/lilypond/out/share/lilypond/current/ly/midi-init.ly[/home/paul/lilypond/out/share/lilypond/current/ly/performer-init.ly]][/home/paul/lilypond/out/share/lilypond/current/ly/paper-defaults.ly[/home/paul/lilypond/out/share/lilypond/current/ly/titling-init.ly]][/home/paul/lilypond/out/share/lilypond/current/ly/engraver-init.ly][/home/paul/lilypond/out/share/lilypond/current/ly/dynamic-scripts-init.ly][/home/paul/lilypond/out/share/lilypond/current/ly/spanners-init.ly][/home/paul/lilypond/out/share/lilypond/current/ly/property-init.ly]][/home/paul/lilypond/ly/generate-documentation.ly[/home/paul/lilypond/out/share/lilypond/current/scm/documentation-lib.scm][/home/paul/lilypond/out/share/lilypond/current/scm/document-functions.scm][/home/paul/lilypond/out/share/lilypond/current/scm/document-translation.scm][/home/paul/lilypond/out/share/lilypond/current/scm/document-music.scm][/home/paul/lilypond/out/share/lilypond/current/scm/document-backend.scm][/home/paul/lilypond/out/share/lilypond/current/scm/document-markup.scm]
Writing "lilypond-internals.texi"...
error: can't find description for property lengthminimum-distance (backend)
make[2]: *** [out/lilypond-internals.nexi] Error 1
make[2]: Leaving directory `/home/paul/lilypond/Documentation/user'
make[1]: *** [install] Error 2
make[1]: Leaving directory `/home/paul/lilypond/Documentation'
make: *** [install] Error 2


Paul




_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel